function featNames = FeatNameTrans(featNames)
% This function change the group feature names into individual ones

grpFeatNames = {'Power_Wavdb1D','Entropy_Wavdb1D', 'Var_Wavdb1D'};
for nameInd = 1:length(grpFeatNames)
    tmp = cell(size(featNames));
    tmp(:) = grpFeatNames(nameInd);
    if any(cellfun(@strcmp,featNames,tmp)) % wavelet detail coefficient energy as features
        newFeatName = cell(1,7);
        newFeatName(:) = {strcat(grpFeatNames{nameInd},'_')};
        newFeatName = cellfun(@strcat, newFeatName, ...
            cellfun(@num2str,num2cell(1:7,1),'UniformOutput',false),'UniformOutput',false);
    %     {'Wav_db1_L1', 'Wav_db1_L2','Wav_db1_L3','Wav_db1_L4',...
    %                                     'Wav_db1_L5','Wav_db1_L6','Wav_db1_L7'};
        tmpInd = find(cellfun(@strcmp,featNames,tmp));
        featNames= cat(2, featNames(1:tmpInd-1), newFeatName, featNames(tmpInd+1:end));
    end
end

end