function tgVar = IntegrVar(fileDir, varName, respLv)
files = dir(fileDir);

prbFeat = []; % problem features
normalFeat = []; % normal features

for fileInd = 1:length(files)
    if files(fileInd).isdir
        continue;
    end
    fileName = files(fileInd).name;
    fprintf('File name:%s\n', fileName);
    load(fullfile(fileDir,fileName),varName);
    
    features = eval(varName);
    prbFeat = cat(1,prbFeat, features(features(:,2)>respLv-1,1)); 
    normalFeat = cat(1,normalFeat, features(features(:,2)==0,1));
end
tgVar.prbFeat = prbFeat;
tgVar.normalFeat = normalFeat;
end